package com.isu.gaswellwatch.dto;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.experimental.SuperBuilder;

import java.io.Serial;
import java.io.Serializable;

/**
 * 创建气井对象 gas_wells
 *
 * @author scwsl
 * @date 2024-11-17
 */
@Getter
@Setter
@SuperBuilder
@NoArgsConstructor
public class GasWellCreateRequest implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 气井ID
     */
    private Long id;
    /**
     * 气井名称
     */
    @NotBlank(message = "气井名称不能为空")
    private String name;

    /**
     * 描述
     */
    private String details;


    /**
     * 所属区块
     */
    @NotNull(message = "所属区块不能为空")
    private Long blockId;

}
